### Class

# FwupdPlugin DfuseFirmware

#### Description [src]

    class FwupdPlugin.DfuseFirmware : FwupdPlugin.DfuFirmware
    {
      /* No available fields */
    }

A DfuSe firmware image.

See also: `FuDfuFirmware`.

#### Ancestors

- FuDfuFirmware
- FuFirmware
- GObject

#### Constructors

###### fu_dfuse_firmware_new

Creates a new `FuFirmware` of sub type DfuSe.

since: 1.5.6

#### Instance methods

##### Methods inherited from FuDfuFirmware (8)

###### fu_dfu_firmware_get_pid

Gets the product ID, or 0xffff for no restriction.

since: 1.3.3

###### fu_dfu_firmware_get_release

Gets the device ID, or 0xffff for no restriction.

since: 1.3.3

###### fu_dfu_firmware_get_version

Gets the file format version with is 0x0100 by default.

since: 1.3.3

###### fu_dfu_firmware_get_vid

Gets the vendor ID, or 0xffff for no restriction.

since: 1.3.3

###### fu_dfu_firmware_set_pid

Sets the product ID.

since: 1.3.3

###### fu_dfu_firmware_set_release

Sets the release for the dfu firmware.

since: 1.3.3

###### fu_dfu_firmware_set_version

Sets the file format version.

since: 1.3.3

###### fu_dfu_firmware_set_vid

Sets the vendor ID.

since: 1.3.3

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginDfuseFirmwareClass {
      FuDfuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuDfuFirmwareClass`

  No description available.